server is having when running the crypto tests, occasionally.
/**
- * {summary of class}
+ * {one-line description}
+ * {extended information...}
* @author Chris Koeritz
* @copyright Copyright (c) 2012-$now By Feisty Meow Concerns, Ltd.
* @license This file is free software; you can modify/redistribute it under the terms of the GNU
# of the GNU General Public License. [ http://www.gnu.org/licenses/gpl.html ]
# Feel free to send updates to: [ fred@gruntose.com ]
##############
-
+#
+# ...description of file.
/**
- * {summary of class}
+ * {one-line description}
+ * {extended information...}
* @author Chris Koeritz
* @copyright Copyright (c) 2012-$now By University of Virginia
* @license This file is free software; you can modify and redistribute it under the terms of the
echo Skipping missing directory [$*]; \
fi'
-# always run the targets. if they don't exist, that's an error.
+# always run the exes listed in RUN_TARGETS.
.PHONY: run_targets
# "all" is the first target to execute in any makefile. we capture it and
# use it to produce the requested actions.
-all: start $(ACTUAL_FIRST_TARGETS) $(ACTUAL_TARGETS) $(ACTUAL_LAST_TARGETS) $(RUN_TARGETS:%=run_targets) finish
+all: start $(ACTUAL_FIRST_TARGETS) $(ACTUAL_TARGETS) $(ACTUAL_LAST_TARGETS) run_targets finish
# "start" announces the beginning of compilation.
start:
# runs the programs specified in the RUN_TARGETS variable.
run_targets:
- $(HIDESH) -c '\
-if [ ! -z "$(RUN_TARGETS)" ]; then \
- if [ -f "$(DIRTY_FILE)" -o -f "$(SUBMAKE_FLAG)" ]; then \
- total_exitval=0; \
- for program_name in $(RUN_TARGETS); do \
- base=`basename $$program_name`; \
- "$$program_name"; \
- exitval=$$?; \
- if [ $$exitval -ne 0 ]; then \
- echo -e "ERROR: $$program_name at `date`"; \
- total_exitval=$$(($$total_exitval + 1)); \
- fi; \
- done; \
- if [ $$total_exitval -ne 0 ]; then \
- echo "FAILURE: errors occurred in RUN_TARGETS."; \
- echo yep >"$(FAILURE_FILE)"; \
- exit 1; \
- fi; \
- fi; \
-fi'
+ $(HIDESH)"$(CLAM_DIR)/target_runner.sh"
+#### "$(RUN_TARGETS)"
# "make_subdirs" travels down each subdirectory and builds using make.
make_subdirs:
--- /dev/null
+#!/bin/bash
+##############
+# Name : target_runner.sh
+# Author : Chris Koeritz
+# Rights : Copyright (C) 2012-$now by Feisty Meow Concerns, Ltd.
+##############
+# This script is free software; you can modify/redistribute it under the terms
+# of the GNU General Public License. [ http://www.gnu.org/licenses/gpl.html ]
+# Feel free to send updates to: [ fred@gruntose.com ]
+##############
+#
+# Runs the programs listed in clam's RUN_TARGETS and reports any errors seen.
+
+#echo entering target_runner with variables:
+#echo -e "\tRUN_TARGETS=${RUN_TARGETS}"
+#echo -e "\tDIRTY_FILE=${DIRTY_FILE}"
+#echo -e "\tSUBMAKE_FLAG=${SUBMAKE_FLAG}"
+#echo -e "\tFAILURE_FILE=${FAILURE_FILE}"
+
+if [ ! -z "${RUN_TARGETS}" ]; then
+ if [ -f "${DIRTY_FILE}" -o -f "${SUBMAKE_FLAG}" ]; then
+ total_exitval=0;
+ for program_name in ${RUN_TARGETS}; do
+ base=$(basename $program_name);
+ "$program_name";
+ exitval=$?;
+ if [ $exitval -ne 0 ]; then
+ echo "ERROR: $program_name exits with $exitval at $(date)";
+ total_exitval=$(($total_exitval + 1));
+ fi;
+ done;
+ if [ $total_exitval -ne 0 ]; then
+ echo "FAILURE: $total_exitval errors occurred in RUN_TARGETS.";
+ echo yep >"${FAILURE_FILE}";
+ exit 1;
+ fi;
+ fi;
+fi
+